High Priest Sylvain:
To change your profession to Human Wizard, you should bring back tokens for each of the four elements of water, fire, wind and earth -- for these form the basis of elemental magic. Visit Parina, who has studied elemental magic for a long time, to learn how to collect tokens. If you deliver the four tokens, she will give you the bead of four seasons.
She studies at the temple in the village of Gludin. You will easily find her if you go there. Follow the road to the west and it will take you to the village of Gludin. The temple is in the northeastern part of the village. Of course, using a Gatekeeper is much faster.
Return